// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	event.create('mechanized_rod').displayName('Mechanized Stick')
	//event.create('cooked_apple').food(food => {food.hunger(6).saturation(1)}).displayName('Cooked Apple').maxStackSize(64)
	event.create('glucose').displayName('Glucose Syrup').food(food => {food.hunger(10).saturation(10)})
	event.create('final_star').displayName('your did it')
})

onEvent('block.registry', event => {
	// Register new blocks here
	event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
	event.create('mechanized_block').material('wood').hardness(1.0).displayName('Mechanized Wood')
	event.create('mechanized_plank').material('wood').hardness(1.0).displayName('Mechanized Plank')
	event.create('mechanized_button').material('wood').hardness(1.0).displayName('Mechanized Button').tagBlockAndItem('minecraft:wooden_buttons').type('wooden_button')
	event.create('mechanized_slab').material('wood').hardness(1.0).displayName('Mechanized Slab').tagBlockAndItem('minecraft:wooden_slabs').type('slab')
	event.create('no_no_block').material('metal').displayName('No No').unbreakable('true').hardness('-1')
})